<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>classes/inheritDocTag.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/classes/inheritdoctag.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>classes/inheritDocTag.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2010 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** Represents a see tag.
<a name="line22"></a> *
<a name="line23"></a> * @package PHPDoctor\Tags
<a name="line24"></a> */
<a name="line25"></a>class InheritDocTag extends Tag
<a name="line26"></a>{
<a name="line27"></a>
<a name="line28"></a>	/**
<a name="line29"></a>	 * Constructor
<a name="line30"></a>	 *
<a name="line31"></a>	 * @param str text The contents of the tag
<a name="line32"></a>	 * @param str[] data Reference to doc comment data array
<a name="line33"></a>	 * @param RootDoc root The root object
<a name="line34"></a>	 */
<a name="line35"></a>	function inheritDocTag($text, &$data, &$root)
<a name="line36"></a>    {
<a name="line37"></a>		parent::tag('@inheritDoc', $text, $root);
<a name="line38"></a>	}
<a name="line39"></a>	
<a name="line40"></a>	/** Get text from super element
<a name="line41"></a>	 *
<a name="line42"></a>	 * @param TextFormatter formatter
<a name="line43"></a>	 * @return str
<a name="line44"></a>	 */
<a name="line45"></a>	function text($formatter)
<a name="line46"></a>    {
<a name="line47"></a>		if ($this->_parent) {
<a name="line48"></a>		    if ($this->_parent->isClass()) {
<a name="line49"></a>		        $superClassname = $this->_parent->superclass();
<a name="line50"></a>		        if ($superClassname) {
<a name="line51"></a>		            $superClass =& $this->_root->classNamed($superClassname);
<a name="line52"></a>		            if ($superClass) {
<a name="line53"></a>		                $textTag = $superClass->tags('@text');
<a name="line54"></a>		                if ($textTag) {
<a name="line55"></a>		                    $text = $textTag->text($formatter);
<a name="line56"></a>		                    if ($text) {
<a name="line57"></a>		                        return $text;
<a name="line58"></a>		                    }
<a name="line59"></a>                        }
<a name="line60"></a>		            }
<a name="line61"></a>		        }
<a name="line62"></a>                $interfaces = $this->_parent->interfaces();
<a name="line63"></a>                foreach ($interfaces as $interface) {
<a name="line64"></a>                    $textTag = $interface->tags('@text');
<a name="line65"></a>                    if ($textTag) {
<a name="line66"></a>                        $text = $textTag->text($formatter);
<a name="line67"></a>                        if ($text) {
<a name="line68"></a>                            return $text;
<a name="line69"></a>                        }
<a name="line70"></a>                    }
<a name="line71"></a>                }
<a name="line72"></a>		    } elseif ($this->_parent->isConstructor() || $this->_parent->isMethod()) {
<a name="line73"></a>		        $parentClass =& $this->_parent->containingClass();
<a name="line74"></a>		        if ($parentClass) {
<a name="line75"></a>                    $superClassname = $parentClass->superclass();
<a name="line76"></a>                    if ($superClassname) {
<a name="line77"></a>                        $superClass =& $this->_root->classNamed($superClassname);
<a name="line78"></a>                        if ($superClass) {
<a name="line79"></a>                            $superMethod =& $superClass->methodNamed($this->_parent->name());
<a name="line80"></a>                            if ($superMethod) {
<a name="line81"></a>                                $textTag = $superMethod->tags('@text');
<a name="line82"></a>                                if ($textTag) {
<a name="line83"></a>                                    $text = $textTag->text($formatter);
<a name="line84"></a>                                    if ($text) {
<a name="line85"></a>                                        return $text;
<a name="line86"></a>                                    }
<a name="line87"></a>                                }
<a name="line88"></a>                            }
<a name="line89"></a>                        }
<a name="line90"></a>                    }
<a name="line91"></a>                    $interfaces = $parentClass->interfaces();
<a name="line92"></a>                    foreach ($interfaces as $interface) {
<a name="line93"></a>                        $superMethod =& $interface->methodNamed($this->_parent->name());
<a name="line94"></a>                        if ($superMethod) {
<a name="line95"></a>                            $textTag = $superMethod->tags('@text');
<a name="line96"></a>                            if ($textTag) {
<a name="line97"></a>                                $text = $textTag->text($formatter);
<a name="line98"></a>                                if ($text) {
<a name="line99"></a>                                    return $text;
<a name="line100"></a>                                }
<a name="line101"></a>                            }
<a name="line102"></a>                        }
<a name="line103"></a>                    }
<a name="line104"></a>                }
<a name="line105"></a>		    } elseif ($this->_parent->isField()) {
<a name="line106"></a>		        $parentClass =& $this->_parent->containingClass();
<a name="line107"></a>		        if ($parentClass) {
<a name="line108"></a>                    $superClassname = $parentClass->superclass();
<a name="line109"></a>                    if ($superClassname) {
<a name="line110"></a>                        $superClass =& $this->_root->classNamed($superClassname);
<a name="line111"></a>                        if ($superClass) {
<a name="line112"></a>                            $superField =& $superClass->fieldNamed($this->_parent->name());
<a name="line113"></a>                            if ($superField) {
<a name="line114"></a>                                $textTag = $superField->tags('@text');
<a name="line115"></a>                                if ($textTag) {
<a name="line116"></a>                                    $text = $textTag->text($formatter);
<a name="line117"></a>                                    if ($text) {
<a name="line118"></a>                                        return $text;
<a name="line119"></a>                                    }
<a name="line120"></a>                                }
<a name="line121"></a>                            }
<a name="line122"></a>                        }
<a name="line123"></a>                    }
<a name="line124"></a>                    $interfaces = $parentClass->interfaces();
<a name="line125"></a>                    foreach ($interfaces as $interface) {
<a name="line126"></a>                        $superField =& $interface->fieldNamed($this->_parent->name());
<a name="line127"></a>                        if ($superField) {
<a name="line128"></a>                            $textTag = $superField->tags('@text');
<a name="line129"></a>                            if ($textTag) {
<a name="line130"></a>                                $text = $textTag->text($formatter);
<a name="line131"></a>                                if ($text) {
<a name="line132"></a>                                    return $text;
<a name="line133"></a>                                }
<a name="line134"></a>                            }
<a name="line135"></a>                        }
<a name="line136"></a>                    }
<a name="line137"></a>                }
<a name="line138"></a>		    }
<a name="line139"></a>		}
<a name="line140"></a>	}
<a name="line141"></a>	
<a name="line142"></a>	/** Return true if this Taglet is used in constructor documentation.
<a name="line143"></a>     *
<a name="line144"></a>     * @return bool
<a name="line145"></a>     */
<a name="line146"></a>	function inConstructor()
<a name="line147"></a>    {
<a name="line148"></a>		return TRUE;
<a name="line149"></a>	}
<a name="line150"></a>
<a name="line151"></a>	/** Return true if this Taglet is used in field documentation.
<a name="line152"></a>     *
<a name="line153"></a>     * @return bool
<a name="line154"></a>     */
<a name="line155"></a>	function inField()
<a name="line156"></a>    {
<a name="line157"></a>		return TRUE;
<a name="line158"></a>	}
<a name="line159"></a>
<a name="line160"></a>	/** Return true if this Taglet is used in method documentation.          
<a name="line161"></a>     *
<a name="line162"></a>     * @return bool
<a name="line163"></a>     */
<a name="line164"></a>	function inMethod()
<a name="line165"></a>    {
<a name="line166"></a>		return TRUE;
<a name="line167"></a>	}
<a name="line168"></a>
<a name="line169"></a>	/** Return true if this Taglet is used in overview documentation.
<a name="line170"></a>     *
<a name="line171"></a>     * @return bool
<a name="line172"></a>     */
<a name="line173"></a>	function inOverview()
<a name="line174"></a>    {
<a name="line175"></a>		return TRUE;
<a name="line176"></a>	}
<a name="line177"></a>
<a name="line178"></a>	/** Return true if this Taglet is used in package documentation.
<a name="line179"></a>     *
<a name="line180"></a>     * @return bool
<a name="line181"></a>     */
<a name="line182"></a>	function inPackage()
<a name="line183"></a>    {
<a name="line184"></a>		return TRUE;
<a name="line185"></a>	}
<a name="line186"></a>
<a name="line187"></a>	/** Return true if this Taglet is used in class or interface documentation.
<a name="line188"></a>     *
<a name="line189"></a>     * @return bool
<a name="line190"></a>     */
<a name="line191"></a>	function inType()
<a name="line192"></a>    {
<a name="line193"></a>		return TRUE;
<a name="line194"></a>	}
<a name="line195"></a>
<a name="line196"></a>	/** Return true if this Taglet is an inline tag.
<a name="line197"></a>     *
<a name="line198"></a>     * @return bool
<a name="line199"></a>     */
<a name="line200"></a>	function isInlineTag()
<a name="line201"></a>    {
<a name="line202"></a>		return TRUE;
<a name="line203"></a>	}
<a name="line204"></a>
<a name="line205"></a>}
<a name="line206"></a>
<a name="line207"></a>?>
<a name="line208"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/classes/inheritdoctag.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>